Bug 669229 - yum_cache fails on file:/// repositories causing packages that depend on /var/yum/cache to fail to build.
yum_cache fails on file:/// repositories causing packages that depend on /var...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora EPEL
Classification: Fedora
Component: mock (Show other bugs)
el6
Unspecified Linux
low Severity medium
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-12 17:23 EST by RedHatBugMonkey
Modified: 2016-02-08 09:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-24 02:44:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description RedHatBugMonkey 2011-01-12 17:23:04 EST
Description of problem:

yum_cache fails on file:/// repositories causing packages that depend on /var/yum/cache to fail to build.

Version-Release number of selected component (if applicable):

1.1.8

How reproducible:

attempt to build a package that uses /var/yum/cache as part of the package build process while using file:/// repositories for the base OS.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

no yum cache is present in the change root

Expected results:

a yum cache is present in the change root

Additional info:

problem is also evident in mock 1.1.7
Comment 2 RHEL Product and Program Management 2011-01-12 17:48:22 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 3 Jan Vcelak 2011-01-13 08:27:38 EST
RHEL -> EPEL
Comment 5 Miroslav Suchý 2014-11-20 08:00:07 EST
I'm not sure I understand #0.
Can you provide config and src.rpm for which mock fails?
Comment 6 Miroslav Suchý 2015-04-24 02:44:19 EDT
Closing per #5.
If you can provide better reproducer, then please reopen.

Note You need to log in before you can comment on or make changes to this bug.